For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Extensions
              • POSTCreate Extension
              • GETGet Extension
              • PUTUpdate Extension
              • DELDelete Extension
Dev Portal
LogoLogo
Closed Beta ProgramsCheckout ExtensionsAPI ReferenceExtensions

Get Extension

Beta
GET
https://api.bigcommerce.com/stores/:store_hash/v3/checkouts/extensions/:extension_id
GET
/stores/:store_hash/v3/checkouts/extensions/:extension_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/checkouts/extensions/extension_id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "id": "2d393dfe-934b-4ad9-a3e6-25f40c5946b2",
4 "name": "name test 1",
5 "description": "Checkout Extension",
6 "region": "shipping.shippingAddressForm.after",
7 "url": "https://example.com",
8 "enabled": true,
9 "created_at": "2023-11-15T22:53:18Z",
10 "updated_at": "2023-11-15T22:53:18Z"
11 },
12 "meta": {}
13}
Returns an extension.
Was this page helpful?
Previous

Create Extension

Next

Update Extension

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

extension_idstringRequiredformat: "uuid"
The ID of the specific extension.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error

The MIME type of the response body.